Delete a coupon
curl --request DELETE \
--url https://www.referly.so/api/v1/coupons \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"couponId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://www.referly.so/api/v1/coupons"
payload = { "couponId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({couponId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://www.referly.so/api/v1/coupons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"deletedCoupon": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Coupon Endpoints
Delete a Coupon
Deletes a coupon and all associated promotional codes. This action is permanent.
DELETE
/
coupons
Delete a coupon
Deleting Coupons
Delete a coupon from your affiliate program. This will also delete all promotional codes associated with this coupon.Deleting a coupon is permanent and will cascade delete all promotional codes
linked to it. Make sure to deactivate the coupon first if you want to preserve
historical data.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Coupon delete details
The coupon ID to delete
Last modified on October 6, 2025
⌘I